KDE 4.2 PyKDE API Reference

- KDE's Python API

# KCategoryDrawer Class Reference

`from PyKDE4.kdeui import *`

## Detailed Description

## Methods

| __init__ (self)
int | categoryHeight (self, QModelIndex index, QStyleOption option)
| drawCategory (self, QModelIndex index, int sortRole, QStyleOption option, QPainter painter)

## Method Documentation

__init__ | ( |  | self ) |

int categoryHeight | ( | self, |
|  | QModelIndex | index,
|  | QStyleOption | option
| ) |  |  |

drawCategory | ( | self, |
|  | QModelIndex | index,
|  | int | sortRole,
|  | QStyleOption | option,
|  | QPainter | painter
| ) |  |  |

This method purpose is to draw a category represented by the given

Parameters:

  | index | with the given
  | sortRole | sorting role

Note:
  This method will be called one time per category, always with the first element in that category